function CopyDatarichtext1() {
	d = editFrame.document;
	if (HtmlMode()) {
		document.getElementById(textDesc).value = d.body.innerText;  
	}
	else {
		document.getElementById(textDesc).value = d.body.innerHTML;  
	}
	if (document.getElementById(textDesc).value == '<P>&nbsp;</P>') {
		document.getElementById(textDesc).value = '';
	}
}
function fork(type,x,y) {
	if(type == "edit" ){
		xx = event.x +12;
		yy = event.y +125;
		hxg = window.open('image.aspx', 'html', 'toolbar=0,location=0,directories=0,status=0,menubar=0,scrollbars=1,resizable=1,copyhistory=0,width=215,height=100,left=750,top=500');
	}
	else  
		alert("Fatal : in function fork()");
	hxg.focus();
	return;
}
function HRule(editor,htmlmode) { Format(editor,htmlmode,'inserthorizontalrule');}
function SetFont(editor,htmlmode,name,value) {
	if (htmlmode) return;
	editor.focus();
	editor.document.execCommand('fontname','',value);
}
function BackColorPicker(editor,htmlmode) {
	if (htmlmode) return;
	showModalDialog('color.aspx?command=backcolor',window,'dialogHeight=450px;dialogWidth=220px;status=no');
}

function InsertMenu(editor,htmlmode,name,value) {
	if (htmlmode) return;
	editor.focus();
	sel = editor.document.selection.createRange();
	sel.pasteHTML(value);
}

function Outdent(editor,htmlmode) { Format(editor,htmlmode,'outdent'); }

function Superscript(editor,htmlmode) { Format(editor,htmlmode,'superscript'); }

function InsertLink(editor,htmlmode,name,value) {
	if (htmlmode) return;
	editor.focus();
	sel = editor.document.selection.createRange();
	sel.pasteHTML('<a href=' + value + '>' + name + '</a>');
}

function CJustify(editor,htmlmode) { Format(editor,htmlmode,'justifycenter'); }

function Paste(editor,htmlmode) {
	editor.focus();
	editor.document.execCommand('paste','',null);
}

function InsertEmoticon(editor,htmlmode,name,value) {
	if (htmlmode) return;
	editor.focus();
	sel = editor.document.selection.createRange();
	sel.pasteHTML('<img src=' + value + ' />');
}

function SetFontSize(editor,htmlmode,name,value) {
	if (htmlmode) return;
	editor.focus();
	editor.document.execCommand('fontsize','',value);
}

function Undo(editor,htmlmode) {
	editor.focus();
	editor.document.execCommand('undo','',null);
}

function DeleteRow(editor,htmlmode) {
	if (htmlmode) return;
	ID = editor;
	objReference=GetRangeReference(ID);
	objReference=CheckTag(objReference,'/^(TABLE)|^(TR)|^(TD)|^(TBODY)/');
	switch(objReference.tagName) {
		case 'TR' :
			var rowIndex = objReference.rowIndex;
			var parentTable=objReference.parentElement.parentElement;
			parentTable.deleteRow(rowIndex);
			 break;
		case 'TD' :
			var cellIndex=objReference.cellIndex;
			var parentRow=objReference.parentElement;
			var rowIndex = parentRow.rowIndex;
			var parentTable=objReference.parentElement.parentElement.parentElement;
			parentTable.deleteRow(rowIndex);
			if (rowIndex>=parentTable.rows.length) {
				rowIndex=parentTable.rows.length-1;
			}
			if (rowIndex>=0) {
				var r = ID.document.body.createTextRange();
				r.moveToElementText(parentTable.rows[rowIndex].cells[cellIndex]);
				r.moveStart('character',r.text.length);
				r.select();
			}
			else {
				parentTable.removeNode(true);
			}
			break;
		default :return;
	}
}

function Strikethrough(editor,htmlmode) { Format(editor,htmlmode,'strikethrough'); }

function Copy(editor,htmlmode) {
	editor.focus();
	editor.document.execCommand('copy','',null);
}

function Indent(editor,htmlmode) { Format(editor,htmlmode,'indent'); }

function Underline(editor,htmlmode) { Format(editor,htmlmode,'underline'); }

function SetFontBackColor(editor,htmlmode,name,value) {
	if (htmlmode) return;
	editor.focus();
	editor.document.execCommand('backcolor','',value);
}

function Numbered(editor,htmlmode) { Format(editor,htmlmode,'insertorderedlist'); }

function InsertDefaultTable(editor,htmlmode) {
	if (htmlmode) return;
	InsertTable(editor,3,3);
}

function Italic(editor,htmlmode) { Format(editor,htmlmode,'italic'); }

function RJustify(editor,htmlmode) { Format(editor,htmlmode,'justifyright'); }

function button_over(eButton,command) { eButton.src = 'images/editor/' + command + '_over.gif'; }

function button_out(eButton,command) { eButton.src = 'images/editor/' + command + '.gif'; } 

function onKeyDown() {
	editor = editFrame;
	if (editFrame.event.keyCode == 9) {
		editFrame.event.cancelBubble = true;
		editFrame.event.returnValue = false;
	}
}

function HtmlMode() {
	var chk = document.getElementById('ShowHTML');
	if (chk == null) {
		return false;
	}
	else {
		return chk.checked;
	}
}

function SetChk() {
  document.getElementById('ShowHTML').checked = false
}

function InsertTable(ID,rows,columns) {
	ID.focus();
	var newTable = ID.document.createElement('TABLE');
	for(y=0; y<rows; y++) {
		var newRow = newTable.insertRow();
		for(x=0; x<columns; x++) {
			var newCell = newRow.insertCell();
			if ((y==0)&&(x==0)) 
				newCell.id='ura';
		}
	}
	newTable.border = 1;
	newTable.width = 25 * columns;
	if (ID.document.selection.type=='Control') {
		sel.pasteHTML(newTable.outerHTML);
	} else {
		sel = ID.document.selection.createRange();
		sel.pasteHTML(newTable.outerHTML);
	}

		var r = ID.document.body.createTextRange();
		var item=ID.document.getElementById('ura');
		item.id='';
		r.moveToElementText(item);
		r.moveStart('character',r.text.length);
		r.select();
}


function DeleteColumn(editor,htmlmode) {
	if (htmlmode) return;
	ID = editor;
	objReference=GetRangeReference(ID);
	objReference=CheckTag(objReference,'/^(TABLE)|^(TR)|^(TD)|^(TBODY)/');
	switch(objReference.tagName) {
		case 'TD' :
			var rowIndex=objReference.parentElement.rowIndex;
			var cellIndex = objReference.cellIndex;
			var parentTable=objReference.parentElement.parentElement.parentElement;
			var newTable=parentTable.cloneNode(true);
			if (newTable.rows[0].cells.length==1) {
				parentTable.removeNode(true);
				return;
			}
			for(x=0; x<newTable.rows.length; x++) {
				if (newTable.rows[x].cells[cellIndex]=='[object]') {
					newTable.rows[x].deleteCell(cellIndex);
				}
			}
			if (cellIndex>=newTable.rows[0].cells.length) {
				cellIndex=newTable.rows[0].cells.length-1;
			}
			if (cellIndex>=0)  
				newTable.rows[rowIndex].cells[cellIndex].id='ura';
			parentTable.outerHTML=newTable.outerHTML;
			if (cellIndex>=0) {
				var r = ID.document.body.createTextRange();
				var item=ID.document.getElementById('ura');
				item.id='';
				r.moveToElementText(item);
				r.moveStart('character',r.text.length);
				r.select();
			}
			break;
		default :return;
	}
}


function LJustify(editor,htmlmode) { Format(editor,htmlmode,'justifyleft'); }

function Cut(editor,htmlmode) {
	editor.focus();
    editor.document.execCommand('cut','',null);
}

function Setup(editor,hidden) {
try{
	editor.document.designMode='On';
	if (editor.value == null) 
		editor.value = editor.innerHTML;
	var d = editor.document;
	d.designMode = 'On';
	d.open();
	d.write(hidden.value);
	d.close();
	editor.document.createStyleSheet('styles.css');
	editor.document.createStyleSheet('');
	editor.document.styleSheets[1].disabled = true;
	editFrame.document.body.contentEditable = 'True';
	ChangeMode(editFrame,'edit_toolbar',true,false);
	ChangeMode(editFrame,'edit_toolbar',false,false);
}catch(e){alert(e.discription)}
}
function ChangeMode(editor,toolbarID,newSetting,autohide) {
	var toolbar = document.getElementById(toolbarID);
	var sTmp;
	if (newSetting) {
		sTmp=editor.document.body.innerHTML;
		editor.document.styleSheets[0].disabled = true;
		editor.document.styleSheets[1].disabled = false;
		if (toolbar != null && autohide) {
			toolbar.style.display = 'none';
		}
		editor.document.body.innerText=sTmp;
	} else {
		sTmp=editor.document.body.innerText;
		editor.document.styleSheets[0].disabled = false;
		editor.document.styleSheets[1].disabled = true;
		if (toolbar != null && autohide) {
			toolbar.style.display = 'inline';
		}
		editor.document.body.innerHTML=sTmp;
	}
	//editor.focus(); 
} 

function CheckTag(item,tagName) {
	if (item.tagName.search(tagName)!=-1) {
		return item;
	}
	if (item.tagName=='BODY') {
		return false;
	}
	item=item.parentElement;
	return CheckTag(item,tagName);
}

function Format(editor,htmlmode,format) {
	if (!htmlmode) {
		editor.focus();
		editor.document.execCommand(format,'',null);
	} else {
		alert('To use the toolbar, change the HTML view setting');
	}
}

function Hyperlink(editor,htmlmode) {
	if (!htmlmode) {
		editor.focus();
		editor.document.execCommand('createlink','1',null);
	}
	else {
		alert('To use the toolbar, change the HTML view setting');
	}
}

function insertColumn(editor,htmlmode) {
	if (htmlmode) return;
	ID = editor;
	objReference= GetRangeReference(ID);
	objReference=CheckTag(objReference,'/^(TABLE)|^(TR)|^(TD)|^(TBODY)/');
	switch(objReference.tagName) {
		case 'TABLE' :
			var newTable=objReference.cloneNode(true);
			for(x=0; x<newTable.rows.length; x++) {
				var newCell = newTable.rows[x].insertCell();
			}
			newCell.focus();
			objReference.outerHTML=newTable.outerHTML;
			break;
		case 'TBODY' :
			var newTable=objReference.cloneNode(true);
			for(x=0; x<newTable.rows.length; x++) {
				var newCell = newTable.rows[x].insertCell();
			}
			objReference.outerHTML=newTable.outerHTML;
			break;
		case 'TR' :
			objReference=objReference.parentElement.parentElement;
			var newTable=objReference.cloneNode(true);
			for(x=0; x<newTable.rows.length; x++) {
				var newCell = newTable.rows[x].insertCell();
			}
			objReference.outerHTML=newTable.outerHTML;
			break;
		case 'TD' :
			var cellIndex = objReference.cellIndex;
			var rowIndex=objReference.parentElement.rowIndex;
			var parentTable=objReference.parentElement.parentElement.parentElement;
			var newTable=parentTable.cloneNode(true);
			for(x=0; x<newTable.rows.length; x++) {
				var newCell = newTable.rows[x].insertCell(cellIndex+1);
				if (x==rowIndex)newCell.id='ura';
			}
			parentTable.outerHTML=newTable.outerHTML;
			var r = ID.document.body.createTextRange();
			var item=ID.document.getElementById('ura');
			item.id='';
			r.moveToElementText(item);
			r.moveStart('character',r.text.length);
			r.select();
			break;
		default :
			InsertTable(ID,3,1);
			return;
	}
}

function InsertImage(editor,htmlmode) {

	if (!htmlmode) {
		var return_value = prompt("ҪͼƬ","");		
		if ((return_value != null) && (return_value != ""))
			editor.focus();
		  //nikko edit
			if (return_value != null) {
				if (return_value.indexOf("http://") == -1)
					editor.document.execCommand("InsertImage","","http://" + return_value);
				else			
					editor.document.execCommand("InsertImage","",return_value);
				}
	}
}


function AddImg(){

}
function ImageMenu(editor,htmlmode,name,value) {
	if (value != '') {
		if (htmlmode) return;
		editor.focus();
		editor.document.execCommand('InsertImage','',value);
	}
}

function Redo(editor,htmlmode) {
	editor.focus();
    editor.document.execCommand('redo','',null);
}

function Bullets(editor,htmlmode) { Format(editor,htmlmode,'insertunorderedlist'); }

function InsertSymbol(editor,htmlmode,name,value) {
	if (htmlmode) return;
	editor.focus();
	sel = editor.document.selection.createRange();
	sel.pasteHTML(value);
}

function insertRow(editor,htmlmode) {
	if (htmlmode) return;
	ID = editor;
	objReference=GetRangeReference(ID);
	objReference=CheckTag(objReference,'/^(TABLE)|^(TR)|^(TD)|^(TBODY)/');
	switch(objReference.tagName) {
		case 'TABLE' :
			var newTable=objReference.cloneNode(true);
			var newRow= newTable.insertRow();

			for(x=0; x<newTable.rows[0].cells.length; x++) {
				var newCell = newRow.insertCell();
			}
			objReference.outerHTML=newTable.outerHTML;
			break;
		case 'TBODY' :
			var newTable=objReference.cloneNode(true);
			var newRow = newTable.insertRow();
			for(x=0; x<newTable.rows[0].cells.length; x++) {
				var newCell = newRow.insertCell();
			}
			objReference.outerHTML=newTable.outerHTML;
			break;
		case 'TR' :
			var rowIndex = objReference.rowIndex;
			var parentTable=objReference.parentElement.parentElement;
			var newTable=parentTable.cloneNode(true);
			var newRow = newTable.insertRow(rowIndex+1);
			for(x=0; x< newTable.rows[0].cells.length; x++) {
				var newCell = newRow.insertCell();
			}
			parentTable.outerHTML=newTable.outerHTML;
			break;
		case 'TD' :
			var parentRow=objReference.parentElement;
			var rowIndex = parentRow.rowIndex;
			var cellIndex=objReference.cellIndex;
			var parentTable=objReference.parentElement.parentElement.parentElement;
			var newTable=parentTable.cloneNode(true);
			var newRow = newTable.insertRow(rowIndex+1);
			for(x=0; x< newTable.rows[0].cells.length; x++) {
				var newCell = newRow.insertCell();
				if (x==cellIndex)
					newCell.id='ura';
			}
			parentTable.outerHTML=newTable.outerHTML;
			var r = ID.document.body.createTextRange();
			var item=ID.document.getElementById('ura');
			item.id='';
			r.moveToElementText(item);
			r.moveStart('character',r.text.length);
			r.select();
			break;
		default :
			InsertTable(ID,1,3);
			return;
	}
}

function Subscript(editor,htmlmode) { Format(editor,htmlmode,'subscript'); }

function ForeColorPicker(editor,htmlmode) {
	if (htmlmode) return;
	showModalDialog('color.aspx?command=forecolor',window,'dialogHeight=450px;dialogWidth=220px;status=no');
}

function SetFontForeColor(editor,htmlmode,name,value) {
	if (htmlmode) return;
	editor.focus();
	editor.document.execCommand('forecolor','',value);
}

function Print(editor,htmlmode) { editor.document.execCommand('print','',null); }

function Bold(editor,htmlmode) { Format(editor,htmlmode,'bold'); }

function GetRangeReference(ID) {
	ID.focus();
	var objReference = null;
	var RangeType = ID.document.selection.type;
	var selectedRange = ID.document.selection.createRange();

	switch(RangeType) {
		case 'Control' :
			if (selectedRange.length > 0 ) {
				objReference = selectedRange.item(0);
			}
			break;

		case 'None' :
			objReference = selectedRange.parentElement();
			break;

		case 'Text' :
			objReference = selectedRange.parentElement();
			break;
	}
	return objReference
}

function SetParagraph(editor,htmlmode,name,value) {
	if (htmlmode) return;
	editor.focus();
	if (value == '<body>') {
		editor.document.execCommand('formatBlock','','Normal');
		editor.document.execCommand('removeFormat');
	return;
	}
	editor.document.execCommand('formatblock','',value);
}

function SetStyle(editor,htmlmode,name,value) {
	if (htmlmode) return;
	if (value != '') {
		editor.focus();
		editor.document.execCommand('removeFormat');
		editor.document.execCommand('formatBlock','','Normal');
		sel = editor.document.selection.createRange();
		html = '<font class=\'' + value + '\'>' + sel.htmlText + '</font>';
		sel.pasteHTML(html);
	}
}




function InsertTable(editor,htmlmode)
{
  if (htmlmode)	return;
  editor.focus();
  var range = editor.document.selection.createRange();
  var arr = showModalDialog("table.aspx", "", "dialogWidth:300pt;dialogHeight:236pt;help:0;status:0");

  if (arr != null){
	range.pasteHTML(arr);
  }
  editor.focus();
}


function InsertTemplate(editor,htmlmode) {
	var template = '';
	template += '<table width="100%" cellspacing="0" cellpadding="0" border="0">';
	template += '  <tr valign="top">';
	template += '    <td><img src="images/down.gif" width="9" height="9"></img></td>';
	template += '    <td width="165" class="headline">Title</td>';
	template += '  </tr>';
	template += '  <tr>';
	template += '    <td colspan="2" align="right"><img src="images/line_dot.gif" width="175" height="11"></img></td>';
	template += '  </tr>';
	template += '  <tr>';
	template += '    <td colspan="2"><p class="related"><a href="/">Text and Links</a></p></td>';
	template += '  </tr>';
	template += '</table>';

	editor.document.body.innerHTML += template;
	editor.focus();
}